Package org.gradle.api.execution

## Interface TaskActionListener

-     @Deprecated
      public interface TaskActionListener

  Deprecated.
  This type is not supported when configuration caching is enabled.

  A `TaskActionListener` is notified of the actions that a task performs.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `afterActions​(Task task)` | Deprecated. This method is called immediately after the task has completed performing its actions.
    `void` | `beforeActions​(Task task)` | Deprecated. This method is called immediately before the task starts performing its actions.

- - ### Method Detail

    - #### beforeActions

          void beforeActions​(Task task)

      Deprecated.
      This method is called immediately before the task starts performing its actions.
      Parameters:
        `task` - The task which is to perform some actions.

    - #### afterActions

          void afterActions​(Task task)

      Deprecated.
      This method is called immediately after the task has completed performing its actions.
      Parameters:
        `task` - The task which has performed some actions.